Bug 1316449 - "-files" repository at documentation doesn't exist
"-files" repository at documentation doesn't exist
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Radek Bíba
: Documentation
Depends On:
Blocks: 1273812
  Show dependency treegraph
 
Reported: 2016-03-10 04:43 EST by Pablo Iranzo Gómez
Modified: 2016-04-21 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 05:17:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Iranzo Gómez 2016-03-10 04:43:39 EST
Description of problem:

Hi,
When following https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/7/installation-reference/chapter-1-introduction

It instructs to:

# subscription-manager repos --enable=rhel-7-server-rpms \
--enable=rhel-7-server-openstack-7.0-rpms \
--enable=rhel-7-server-optional-rpms \
--enable=rhel-7-server-rh-common-rpms \
--enable=rhel-7-server-openstack-7.0-files \
--enable=rhel-7-server-openstack-7.0-optools-rpms


But "-files" repository doesn't exist:

subscription-manager  repos|grep -i openstack-7.0
D de repositorio:     rhel-7-server-openstack-7.0-rpms
D de repositorio:     rhel-7-server-openstack-7.0-director-source-rpms
D de repositorio:     rhel-7-server-openstack-7.0-debug-rpms
D de repositorio:     rhel-7-server-openstack-7.0-director-debug-rpms
D de repositorio:     rhel-7-server-openstack-7.0-tools-debug-rpms
D de repositorio:     rhel-7-server-openstack-7.0-optools-source-rpms
D de repositorio:     rhel-7-server-openstack-7.0-tools-rpms
D de repositorio:     rhel-7-server-openstack-7.0-tools-source-rpms
D de repositorio:     rhel-7-server-openstack-7.0-director-rpms
D de repositorio:     rhel-7-server-openstack-7.0-optools-rpms
D de repositorio:     rhel-7-server-openstack-7.0-optools-debug-rpms
D de repositorio:     rhel-7-server-openstack-7.0-source-rpms



or:

subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-ha-for-rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/highavailability/os
Enabled:   1

Repo ID:   rhel-7-server-rh-common-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - RH Common (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/rh-common/os
Enabled:   1

Repo ID:   rhel-7-server-openstack-7.0-rpms
Repo Name: Red Hat Enterprise Linux OpenStack Platform 7.0 for RHEL 7 (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/openstack/7.0/os
Enabled:   1

Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-optional-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - Optional (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/optional/os
Enabled:   1



Can you confirm this is a bug in the documentation?
Comment 2 Andrew Dahms 2016-04-08 03:08:05 EDT
Assigning to Radek for review.
Comment 3 Radek Bíba 2016-04-08 04:52:36 EDT
> Can you confirm this is a bug in the documentation?

Yes, it is, and the repo has already been removed from the OSP-8 version of the document.

I'm removing the repo from the OSP-7 document, and I'm going to have the document republished.

Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.